OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
MusicDriver_Allegro Class Reference

Allegro's music player. More...

`#include <allegro_m.h>`

Inheritance diagram for MusicDriver_Allegro:

## Public Member Functions
const char * | Start (const char *const *param)
| Start this driver.
void | Stop ()
| Stop this driver.
void | PlaySong (const char *filename)
| Play a particular song.
void | StopSong ()
| Stop playing the current song.
bool | IsSongPlaying ()
| Are we currently playing a song?
void | SetVolume (byte vol)
| Set the volume, if possible.
const char * | GetName () const
| Get the name of this driver.

## Additional Inherited Members
Public Types inherited from Driver
enum | Type { DT_BEGIN = 0, DT_MUSIC = 0, DT_SOUND, DT_VIDEO, DT_END }
| The type of driver. More...
Static Public Member Functions inherited from MusicDriver
static MusicDriver * | GetInstance ()
| Get the currently active instance of the music driver.

## Detailed Description

Allegro's music player.

Definition at line 18 of file allegro_m.h.

## Member Function Documentation

const char* MusicDriver_Allegro::GetName | ( |  | ) | const
| inline virtual

Get the name of this driver.

Returns
  The name of the driver.

Implements Driver.

Definition at line 31 of file allegro_m.h.

bool MusicDriver_Allegro::IsSongPlaying | ( |  | ) |
| virtual

Are we currently playing a song?

Returns
  True if a song is being played.

Implements MusicDriver.

void MusicDriver_Allegro::PlaySong | ( | const char * | filename | ) |
| virtual

Play a particular song.

Parameters

  filename | The name of file with the song to play.

Implements MusicDriver.

void MusicDriver_Allegro::SetVolume | ( | byte | vol | ) |
| virtual

Set the volume, if possible.

Parameters

  vol | The new volume.

Implements MusicDriver.

const char* MusicDriver_Allegro::Start | ( | const char *const * | parm | ) |
| virtual

Start this driver.

Parameters

  parm | Parameters passed to the driver.

Returns
  NULL if everything went okay, otherwise an error message.

Implements Driver.

The documentation for this class was generated from the following file:

- src/music/allegro_m.h